function onBegin()
	disableMovement()

	wait(2.0)
	say("WhenPushComesToShove_intro1")
	wait(1.0)
	setFlag("showWinrar")
	wait(0.7)
	say("WhenPushComesToShove_intro2")
	setFlag("showCursor")
	wait(1.5)
	playSound("event:/ricky06/JauntyJune/mouseClick")
	wait(0.5)
	setFlag("showWinrar", false)
	wait(1.0)
	setFlag("showCursor", false)
	wait(0.5)
	say("WhenPushComesToShove_intro3")
	wait(0.5)
end

function onEnd(room, wasSkipped)
	enableMovement()
	setFlag("showWinrar", false)
	setFlag("beginTeleport")
end